<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.7"/>
<title>Generic Trace Generator (GTG): GTGTypes.h File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">Generic Trace Generator (GTG)
   &#160;<span id="projectnumber">0.1</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.7 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>Globals</span></a></li>
    </ul>
  </div>
<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_bfccd401955b95cf8c75461437045ac0.html">inc</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#typedef-members">Typedefs</a> &#124;
<a href="#enum-members">Enumerations</a>  </div>
  <div class="headertitle">
<div class="title">GTGTypes.h File Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><a href="GTGTypes_8h_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="typedef-members"></a>
Typedefs</h2></td></tr>
<tr class="memitem:gabda13d5bcd0cbdb094d655181a857e25"><td class="memItemLeft" align="right" valign="top">typedef double&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__type.html#gabda13d5bcd0cbdb094d655181a857e25">varPrec</a></td></tr>
<tr class="memdesc:gabda13d5bcd0cbdb094d655181a857e25"><td class="mdescLeft">&#160;</td><td class="mdescRight">Use the double precision type for time and value.  <a href="group__type.html#gabda13d5bcd0cbdb094d655181a857e25">More...</a><br /></td></tr>
<tr class="separator:gabda13d5bcd0cbdb094d655181a857e25"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3838479a4e34ddb6b1beca0c67134337"><td class="memItemLeft" align="right" valign="top">typedef enum <a class="el" href="group__type.html#ga1f1b68fb37d7331f03a48ef0993a0788">trace_return_t</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="GTGTypes_8h.html#a3838479a4e34ddb6b1beca0c67134337">trace_return_t</a></td></tr>
<tr class="separator:a3838479a4e34ddb6b1beca0c67134337"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="enum-members"></a>
Enumerations</h2></td></tr>
<tr class="memitem:ga1f1b68fb37d7331f03a48ef0993a0788"><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__type.html#ga1f1b68fb37d7331f03a48ef0993a0788">trace_return_t</a> { <br />
&#160;&#160;<a class="el" href="group__type.html#ga1f1b68fb37d7331f03a48ef0993a0788a6144206e9d331f185b18166cff7783b8">TRACE_SUCCESS</a>, 
<a class="el" href="group__type.html#ga1f1b68fb37d7331f03a48ef0993a0788a3f7405d47b6ed59a17246e9844090615">TRACE_ERR_OPEN</a>, 
<a class="el" href="group__type.html#ga1f1b68fb37d7331f03a48ef0993a0788a73950ece0ad8b1bee0e4ebe6fbf9060b">TRACE_ERR_CLOSE</a>, 
<a class="el" href="group__type.html#ga1f1b68fb37d7331f03a48ef0993a0788ab9fd0214ae892b4284375940d3040b1c">TRACE_ERR_WRITE</a>, 
<br />
&#160;&#160;<a class="el" href="group__type.html#ga1f1b68fb37d7331f03a48ef0993a0788aaa3aa4a72ea96378a200bb869f7f8abb">TRACE_ERR_NOT_IMPL</a>
<br />
 }</td></tr>
<tr class="memdesc:ga1f1b68fb37d7331f03a48ef0993a0788"><td class="mdescLeft">&#160;</td><td class="mdescRight">Define various return values.  <a href="group__type.html#ga1f1b68fb37d7331f03a48ef0993a0788">More...</a><br /></td></tr>
<tr class="separator:ga1f1b68fb37d7331f03a48ef0993a0788"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Typedef Documentation</h2>
<a class="anchor" id="a3838479a4e34ddb6b1beca0c67134337"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef enum <a class="el" href="group__type.html#ga1f1b68fb37d7331f03a48ef0993a0788">trace_return_t</a>  <a class="el" href="group__type.html#ga1f1b68fb37d7331f03a48ef0993a0788">trace_return_t</a></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Mon Jun 2 2014 10:59:53 for Generic Trace Generator (GTG) by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.7
</small></address>
</body>
</html>
